import { Editor, Operation } from 'slate';
export declare const AS_NATIVE: WeakMap<Editor, boolean>;
export declare const NATIVE_OPERATIONS: WeakMap<Editor, Operation[]>;
/**
 * `asNative` queues operations as native, meaning native browser events will
 * not have been prevented, and we need to flush the operations
 * after the native events have propogated to the DOM.
 * @param {Editor} editor - Editor on which the operations are being applied
 * @param {callback} fn - Function containing .exec calls which will be queued as native
 */
export declare const asNative: (editor: Editor, fn: () => void) => void;
/**
 * `flushNativeEvents` applies any queued native events.
 * @param {Editor} editor - Editor on which the operations are being applied
 */
export declare const flushNativeEvents: (editor: Editor) => void;
//# sourceMappingURL=native.d.ts.map